"use strict";

exports.__esModule = true;
exports.NewDocumentComponent = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactBootstrap = require("react-bootstrap");
var _terminusdbDocumentsUi = require("@terminusdb/terminusdb-documents-ui");
var CONST = _interopRequireWildcard(require("./components/constants"));
var _ViewFramesButton = require("./components/ViewFramesButton");
var _CloseButton = require("./components/CloseButton");
var _JsonFrameViewer = require("./components/JsonFrameViewer");
var _ToggleJsonAndFormControl = require("./components/ToggleJsonAndFormControl");
var _ViewDocumentFrames = require("./components/ViewDocumentFrames");
var _SelectLanguageComponent = require("./components/SelectLanguageComponent");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const NewDocumentComponent = ({
  type,
  createDocument,
  documentJson,
  frames,
  closeButtonClick,
  SearchComponent
}) => {
  const [view, setView] = (0, _react.useState)(CONST.FORM_VIEW);
  const [showFrames, setShowFrames] = (0, _react.useState)(false);
  const [selectedLanguage, setSelectedLanguage] = (0, _react.useState)(false);
  const [showInfo, setShowInfo] = (0, _react.useState)({
    frames: false,
    history: false
  });
  const onSelect = SearchComponent ? {
    onSelect: /*#__PURE__*/_react.default.createElement(SearchComponent, null)
  } : {};
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "w-100 d-flex"
  }, /*#__PURE__*/_react.default.createElement(_reactBootstrap.Card, {
    className: "bg-dark flex-grow-1"
  }, /*#__PURE__*/_react.default.createElement(_reactBootstrap.Card.Header, {
    className: "justify-content-between d-flex w-100 text-break"
  }, /*#__PURE__*/_react.default.createElement(_reactBootstrap.Stack, {
    direction: "horizontal",
    gap: 2,
    className: "w-100"
  }, /*#__PURE__*/_react.default.createElement("strong", {
    className: "text-success"
  }, /*#__PURE__*/_react.default.createElement("span", {
    className: "mr-1 h6 fst-italic"
  }, CONST.CREATE_DOCUMENT, ": "), /*#__PURE__*/_react.default.createElement("span", {
    className: "fw-bolder h6"
  }, type)), /*#__PURE__*/_react.default.createElement(_ViewFramesButton.ViewFramesButton, {
    setShowInfo: setShowInfo
  }), /*#__PURE__*/_react.default.createElement(_SelectLanguageComponent.LanguageSelectComponent, {
    frame: frames,
    setSelectedLanguage: setSelectedLanguage
  }), /*#__PURE__*/_react.default.createElement(_ToggleJsonAndFormControl.ToggleJsonAndFormControl, {
    onClick: setView
  }), /*#__PURE__*/_react.default.createElement(_CloseButton.CloseButton, {
    type: type,
    onClick: closeButtonClick
  }))), /*#__PURE__*/_react.default.createElement(_reactBootstrap.Card.Body, {
    className: "text-break"
  }, view === CONST.JSON_VIEW && /*#__PURE__*/_react.default.createElement(_JsonFrameViewer.JsonFrameViewer, {
    jsonData: {},
    mode: CONST.CREATE_DOCUMENT,
    setExtracted: createDocument
  }), view === CONST.FORM_VIEW && /*#__PURE__*/_react.default.createElement(_terminusdbDocumentsUi.FrameViewer, _extends({
    frame: frames,
    type: type,
    formData: documentJson,
    mode: CONST.CREATE_DOCUMENT,
    language: selectedLanguage,
    onSubmit: createDocument
  }, onSelect, {
    hideSubmit: false
  })))), /*#__PURE__*/_react.default.createElement(_ViewDocumentFrames.ViewDocumentFrames, {
    type: type,
    documentFrame: frames[type] || {},
    showInfo: showInfo,
    setShowInfo: setShowInfo
  }));
};
exports.NewDocumentComponent = NewDocumentComponent;