"use strict";

exports.__esModule = true;
exports.ViewDocumentComponent = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactBootstrap = require("react-bootstrap");
var _terminusdbDocumentsUi = require("@terminusdb/terminusdb-documents-ui");
var CONST = _interopRequireWildcard(require("./components/constants"));
var _ViewFramesButton = require("./components/ViewFramesButton");
var _CloseButton = require("./components/CloseButton");
var _JsonFrameViewer = require("./components/JsonFrameViewer");
var _ToggleJsonAndFormControl = require("./components/ToggleJsonAndFormControl");
var _ViewDocumentFrames = require("./components/ViewDocumentFrames");
var _CopyButton = require("./components/CopyButton");
var _ri = require("react-icons/ri");
var _TraverseDocumentLinks = require("./components/TraverseDocumentLinks");
var _SelectLanguageComponent = require("./components/SelectLanguageComponent");
var _utils = require("./utils");
var _ai = require("react-icons/ai");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
//import "terminusdb__darkly.css"

// we have to fix traversedocklinek
const ViewDocumentComponent = ({
  type,
  getDocumentById,
  documentJson,
  frames,
  closeButtonClick,
  documentID,
  deleteDocument,
  editDocument
}) => {
  const [view, setView] = (0, _react.useState)(CONST.FORM_VIEW);
  const [clicked, setClicked] = (0, _react.useState)(false);
  const [selectedLanguage, setSelectedLanguage] = (0, _react.useState)(false);
  const [showInfo, setShowInfo] = (0, _react.useState)({
    frames: false,
    history: false
  });
  function handleTraverse(documentID) {
    (0, _TraverseDocumentLinks.onTraverse)(documentID, setClicked);
  }
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "w-100 d-flex"
  }, clicked && /*#__PURE__*/_react.default.createElement(_TraverseDocumentLinks.TraverseDocumentLinks, {
    getDocumentById: getDocumentById,
    clicked: clicked,
    frames: frames,
    show: clicked !== false,
    onHide: () => setClicked(false)
  }), /*#__PURE__*/_react.default.createElement(_reactBootstrap.Card, {
    className: "bg-dark flex-grow-1"
  }, /*#__PURE__*/_react.default.createElement(_reactBootstrap.Card.Header, {
    className: "justify-content-between d-flex w-100 text-break"
  }, /*#__PURE__*/_react.default.createElement(_reactBootstrap.Stack, {
    direction: "horizontal",
    gap: 2,
    className: "w-100"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "col-md-6"
  }, /*#__PURE__*/_react.default.createElement("strong", {
    className: "text-success"
  }, /*#__PURE__*/_react.default.createElement("span", {
    className: "mr-1 h6 fst-italic"
  }, CONST.VIEW_DOCUMENT, ":"), /*#__PURE__*/_react.default.createElement("span", {
    className: "fw-bolder h6"
  }, " ", (0, _utils.trimID)(documentID), " ")), /*#__PURE__*/_react.default.createElement(_CopyButton.CopyButton, {
    text: `${documentID}`,
    title: `Copy Document ID`
  })), /*#__PURE__*/_react.default.createElement(_ViewFramesButton.ViewFramesButton, {
    setShowInfo: setShowInfo
  }), /*#__PURE__*/_react.default.createElement(_SelectLanguageComponent.LanguageSelectComponent, {
    frame: frames,
    setSelectedLanguage: setSelectedLanguage
  }), /*#__PURE__*/_react.default.createElement(_ToggleJsonAndFormControl.ToggleJsonAndFormControl, {
    onClick: setView
  }), /*#__PURE__*/_react.default.createElement("div", {
    className: "d-flex"
  }, /*#__PURE__*/_react.default.createElement(_reactBootstrap.Button, {
    variant: "light",
    type: "button",
    title: "Edit Document",
    onClick: editDocument,
    className: "btn-sm btn d-flex text-dark mr-2"
  }, "Edit"), /*#__PURE__*/_react.default.createElement(_reactBootstrap.Button, {
    variant: "danger",
    style: CONST.TOOLBAR_BUTTON_STYLES,
    type: "button",
    title: "Delete Document",
    onClick: deleteDocument,
    className: "btn-sm btn text-gray"
  }, /*#__PURE__*/_react.default.createElement(_ri.RiDeleteBin7Line, {
    className: " mb-1"
  }))), /*#__PURE__*/_react.default.createElement(_CloseButton.CloseButton, {
    type: type,
    onClick: closeButtonClick
  }))), /*#__PURE__*/_react.default.createElement(_reactBootstrap.Card.Body, {
    className: "text-break"
  }, view === CONST.JSON_VIEW && /*#__PURE__*/_react.default.createElement(_JsonFrameViewer.JsonFrameViewer, {
    jsonData: documentJson,
    mode: CONST.VIEW_DOCUMENT
  }), view === CONST.FORM_VIEW && /*#__PURE__*/_react.default.createElement(_terminusdbDocumentsUi.FrameViewer, {
    frame: frames,
    type: type,
    mode: CONST.VIEW_DOCUMENT,
    formData: documentJson,
    language: selectedLanguage,
    hideSubmit: true,
    onTraverse: handleTraverse
  }))), /*#__PURE__*/_react.default.createElement(_ViewDocumentFrames.ViewDocumentFrames, {
    type: type,
    documentFrame: frames[type] || {},
    showInfo: showInfo,
    setShowInfo: setShowInfo
  }));
};
exports.ViewDocumentComponent = ViewDocumentComponent;