"use strict";

exports.__esModule = true;
exports.CopyButton = void 0;
var _react = _interopRequireDefault(require("react"));
var _Button = _interopRequireDefault(require("react-bootstrap/Button"));
var _fi = require("react-icons/fi");
var _utils = require("../utils");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
/**
 * 
 * @param {*} id document ID 
 * @returns copy document ID to clipboard
 */
const CopyButton = ({
  text,
  title,
  label,
  css
}) => {
  return /*#__PURE__*/_react.default.createElement(_Button.default, {
    variant: "transparent",
    className: `text-light ${css}`,
    title: title,
    onClick: e => (0, _utils.copyToClipboard)(text)
  }, /*#__PURE__*/_react.default.createElement(_fi.FiCopy, {
    className: "mb-1"
  }), " ", label && /*#__PURE__*/_react.default.createElement("span", null, label));
};
exports.CopyButton = CopyButton;