"use strict";

exports.__esModule = true;
exports.GraphqlQueryView = void 0;
var _react = _interopRequireWildcard(require("react"));
var _fi = require("react-icons/fi");
var _reactBootstrap = require("react-bootstrap");
var _reactCodemirror = _interopRequireDefault(require("@uiw/react-codemirror"));
var _codemirrorThemeOkaidia = require("@uiw/codemirror-theme-okaidia");
var _langJavascript = require("@codemirror/lang-javascript");
var _view = require("@codemirror/view");
var _utils = require("../utils");
var _langJson = require("@codemirror/lang-json");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
// i have to fix this anbd update to codemiro 6
const GraphqlQueryView = ({
  queryToDisplay,
  start,
  limit,
  queryFilters,
  queryOrders
}) => {
  const variablesObj = JSON.stringify({
    "offset": start,
    "limit": limit,
    "orderBy": queryOrders || {},
    "filter": queryFilters || {}
  }, null, 4);
  const copyTest = text => {
    (0, _utils.copyToClipboard)(text);
  };
  const basicSetup = {
    EditorView: {
      lineNumbers: true,
      lineWrapping: true,
      indentWithTabs: false
    }
  };
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("div", {
    className: "d-flex justify-content-end mr-2"
  }, /*#__PURE__*/_react.default.createElement(_reactBootstrap.Button, {
    title: "copy grapl query",
    onClick: () => {
      copyTest(queryToDisplay);
    }
  }, /*#__PURE__*/_react.default.createElement(_fi.FiCopy, null))), /*#__PURE__*/_react.default.createElement(_reactCodemirror.default, {
    basicSetup: basicSetup,
    readOnly: true,
    theme: _codemirrorThemeOkaidia.okaidia,
    extensions: [(0, _langJavascript.javascript)(), _view.EditorView.lineWrapping],
    value: queryToDisplay,
    className: "readOnly"
  }), /*#__PURE__*/_react.default.createElement("hr", null), /*#__PURE__*/_react.default.createElement("div", {
    className: "d-flex justify-content-end mr-2"
  }, /*#__PURE__*/_react.default.createElement(_reactBootstrap.Button, {
    title: "copy variables",
    onClick: () => {
      copyTest(variablesObj);
    }
  }, /*#__PURE__*/_react.default.createElement(_fi.FiCopy, null))), /*#__PURE__*/_react.default.createElement(_reactCodemirror.default, {
    minHeight: "150px",
    indentWithTab: false,
    readOnly: true,
    theme: _codemirrorThemeOkaidia.okaidia,
    extensions: [(0, _langJson.json)(), _view.EditorView.lineWrapping],
    value: variablesObj,
    className: "readOnly"
  }));
};
exports.GraphqlQueryView = GraphqlQueryView;