"use strict";

exports.__esModule = true;
exports.JsonFrameViewer = void 0;
var _react = _interopRequireWildcard(require("react"));
var CONST = _interopRequireWildcard(require("./constants"));
var _reactBootstrap = require("react-bootstrap");
var _reactCodemirror = _interopRequireDefault(require("@uiw/react-codemirror"));
var _codemirrorThemeVscode = require("@uiw/codemirror-theme-vscode");
var _langJson = require("@codemirror/lang-json");
var _view = require("@codemirror/view");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const JsonFrameViewer = ({
  type,
  jsonData,
  mode,
  setExtracted
}) => {
  const [data, setData] = (0, _react.useState)(false);
  const [error, setError] = (0, _react.useState)(false);
  (0, _react.useEffect)(() => {
    if (jsonData) setData(jsonData);
  }, [jsonData]);
  function handleSubmit(data) {
    if (setExtracted) setExtracted(data);
  }
  const onChangeHandler = _react.default.useCallback((value, viewUpdate) => {
    try {
      const parsedData = JSON.parse(value);
      setData(parsedData);
    } catch (err) {
      setError(err.message);
    }
  }, []);

  // onBlur 
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, error && /*#__PURE__*/_react.default.createElement(_reactBootstrap.Alert, {
    variant: "light",
    onClose: () => setError(false),
    dismissible: true
  }, "Syntax Error: ", error, " "), /*#__PURE__*/_react.default.createElement(_reactCodemirror.default, {
    minHeight: "200px",
    value: JSON.stringify(!data ? {} : data, null, 2),
    theme: _codemirrorThemeVscode.vscodeDark,
    extensions: [(0, _langJson.json)(), _view.EditorView.lineWrapping],
    className: "document__interface__main",
    onChange: onChangeHandler
  }), mode !== CONST.VIEW_DOCUMENT && /*#__PURE__*/_react.default.createElement(_reactBootstrap.Button, {
    className: "btn mt-2 float-left",
    variant: "info",
    onClick: e => handleSubmit(data)
  }, "Submit"));
};
exports.JsonFrameViewer = JsonFrameViewer;