"use strict";

exports.__esModule = true;
exports.TraverseDocumentLinks = void 0;
exports.onTraverse = onTraverse;
var _react = _interopRequireWildcard(require("react"));
var _reactBootstrap = require("react-bootstrap");
var CONST = _interopRequireWildcard(require("./constants"));
var _Alert = _interopRequireDefault(require("react-bootstrap/Alert"));
var _terminusdbDocumentsUi = require("@terminusdb/terminusdb-documents-ui");
var _Button = _interopRequireDefault(require("react-bootstrap/Button"));
var _ai = require("react-icons/ai");
var _Card = _interopRequireDefault(require("react-bootstrap/Card"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
/**
 * 
 * @param {*} clicked document clicked by user to traverse
 * @param {*} setClicked function to store which document has been clicked by user
 * this function is only used in DocumentView & for Traversing via documents
 */
function onTraverse(documentID, setClicked) {
  if (setClicked) setClicked(documentID);
}
const ShowLinkRoute = ({
  linkArray,
  handleTraverse
}) => {
  let elements = [];
  linkArray.map((link, index) => {
    elements.push( /*#__PURE__*/_react.default.createElement("span", null, /*#__PURE__*/_react.default.createElement(_Button.default, {
      variant: "link",
      onClick: e => {
        handleTraverse(link);
      }
    }, `${link}`), index !== linkArray.length - 1 && /*#__PURE__*/_react.default.createElement(_ai.AiOutlineArrowRight, {
      className: "fw-bold h4 mt-2 "
    })));
  });
  if (linkArray && linkArray.length > 1) {
    return /*#__PURE__*/_react.default.createElement(_Card.default, {
      className: "border bg-dark border-secondary mb-4"
    }, /*#__PURE__*/_react.default.createElement(_Card.default.Header, {
      className: "small fw-bold text-muted"
    }, `Click through below links to traverse through documents ...`), /*#__PURE__*/_react.default.createElement(_Card.default.Body, null, elements));
  }
  return /*#__PURE__*/_react.default.createElement("div", null);
};
//__KITTY
const TraverseDocumentLinks = ({
  show,
  onHide,
  clicked,
  getDocumentById,
  frames
}) => {
  const [documentID, setDocumentID] = (0, _react.useState)(false);
  const [type, setType] = (0, _react.useState)(false);
  const [loading, setLoading] = (0, _react.useState)(false);
  const [error, setError] = (0, _react.useState)(false);
  const [result, setResult] = (0, _react.useState)(false);

  // document tarverse array
  const [linkArray, setLinkArray] = (0, _react.useState)([]);
  (0, _react.useEffect)(() => {
    if (clicked) {
      setDocumentID(clicked);
    }
  }, [clicked]);
  function removeDocumentIDFromLinkArray(setLinkArray) {
    // clear array on close
    setLinkArray([]);
  }
  const getDocument = async documentID => {
    if (!getDocumentById) return;
    try {
      setLoading(true);
      const result = await getDocumentById(documentID);
      setResult(result);
    } catch (err) {
      setError(err.message);
    }
  };
  (0, _react.useEffect)(() => {
    if (documentID) {
      getDocument(documentID);
      let extractedType = documentID.substring(0, documentID.indexOf("/"));
      setType(extractedType);
      let tempArray = linkArray;
      if (tempArray.includes(documentID)) {
        //tempArray.filter(arr => arr !== documentID)
        let elemsToDelete = tempArray.length - 1 - tempArray.indexOf(documentID);
        tempArray.splice(tempArray.length - elemsToDelete, elemsToDelete);
      } else tempArray.push(documentID);
      setLinkArray(tempArray);
    }
  }, [documentID]);
  function handleClose(e) {
    removeDocumentIDFromLinkArray(setLinkArray);
    onHide();
  }
  function handleTraverse(documentID) {
    onTraverse(documentID, setDocumentID);
  }
  return /*#__PURE__*/_react.default.createElement(_reactBootstrap.Modal, {
    show: show,
    onHide: handleClose,
    size: "md",
    "aria-labelledby": "traverse__document__links",
    centered: true
  }, /*#__PURE__*/_react.default.createElement(_reactBootstrap.Modal.Header, {
    className: " w-100"
  }, /*#__PURE__*/_react.default.createElement(_reactBootstrap.Modal.Title, {
    id: "traverse__document__links",
    className: "text-success h6 w-100"
  }, /*#__PURE__*/_react.default.createElement("strong", {
    className: "text-success"
  }, /*#__PURE__*/_react.default.createElement("span", {
    className: "mr-1 h6 fst-italic"
  }, CONST.VIEW_DOCUMENT, ":"), /*#__PURE__*/_react.default.createElement("span", {
    className: "fw-bolder h6"
  }, " ", documentID, " ")), /*#__PURE__*/_react.default.createElement(_Button.default, {
    className: " ms-auto btn btn-sm bg-transparent text-light border-0 float-right",
    title: "Close",
    onClick: handleClose
  }, /*#__PURE__*/_react.default.createElement(_ai.AiOutlineClose, null)))), /*#__PURE__*/_react.default.createElement(_reactBootstrap.Modal.Body, {
    style: {
      minHeight: "500px",
      height: "auto"
    },
    className: "p-4"
  }, error && /*#__PURE__*/_react.default.createElement(_Alert.default, {
    variant: "danger",
    className: "mr-3"
  }, error), loading || !frames && !type && /*#__PURE__*/_react.default.createElement(_reactBootstrap.ProgressBar, {
    message: `Fetching ${documentID} ...`
  }), /*#__PURE__*/_react.default.createElement(ShowLinkRoute, {
    linkArray: linkArray,
    handleTraverse: handleTraverse
  }), type && frames && result && /*#__PURE__*/_react.default.createElement(_terminusdbDocumentsUi.FrameViewer, {
    frame: frames,
    type: type,
    mode: CONST.VIEW_DOCUMENT,
    formData: result,
    hideSubmit: true,
    onTraverse: handleTraverse
  })));
};
exports.TraverseDocumentLinks = TraverseDocumentLinks;