"use strict";

exports.__esModule = true;
exports.ViewDocumentFrames = void 0;
var _react = _interopRequireDefault(require("react"));
var _JsonFrameViewer = require("./JsonFrameViewer");
var _fa = require("react-icons/fa");
var _reactBootstrap = require("react-bootstrap");
var _CopyButton = require("./CopyButton");
var _infoCloseButton = require("./infoCloseButton");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const ViewDocumentFrames = ({
  type,
  documentFrame,
  setShowInfo,
  showInfo
}) => {
  if (!showInfo.frames) return /*#__PURE__*/_react.default.createElement("div", null);
  return /*#__PURE__*/_react.default.createElement(_reactBootstrap.Card, {
    className: "tdb__frame__display",
    style: {
      width: "50%"
    }
  }, /*#__PURE__*/_react.default.createElement(_reactBootstrap.Card.Header, null, `Frames of `, /*#__PURE__*/_react.default.createElement("span", {
    className: "fw-bold"
  }, type), /*#__PURE__*/_react.default.createElement(_infoCloseButton.CloseInfoButton, {
    setShowInfo: setShowInfo
  }), /*#__PURE__*/_react.default.createElement(_CopyButton.CopyButton, {
    text: JSON.stringify(documentFrame, null, 2),
    label: "Copy Frames",
    css: `float-right bg-light mr-2 btn-sm text-dark`,
    title: `Copy ${type} frames`
  })), /*#__PURE__*/_react.default.createElement(_reactBootstrap.Card.Body, null, /*#__PURE__*/_react.default.createElement(_JsonFrameViewer.JsonFrameViewer, {
    jsonData: documentFrame,
    mode: "View"
  })));
};
exports.ViewDocumentFrames = ViewDocumentFrames;