import React from "react";
import { Container, Card, Row, Col, Button } from "react-bootstrap";
export const DocumentClassesSummary = ({
  totalDocumentCount,
  perDocumentCount,
  onDocumentClick
}) => {
  const clickDocument = type => {
    if (onDocumentClick) onDocumentClick(type);
  };
  const DocumentStats = ({
    dataProvider
  }) => {
    const dataKey = Object.keys(dataProvider);
    return dataKey.map(type => {
      const val = dataProvider[type]["@value"];
      return /*#__PURE__*/React.createElement(Col, {
        key: type + "___doc_status",
        md: 4,
        className: "py-2 doc-summary-card"
      }, /*#__PURE__*/React.createElement(Button, {
        id: type,
        className: "bg-transparent border-0 p-0 w-100",
        onClick: e => clickDocument(type)
      }, /*#__PURE__*/React.createElement(Card, {
        bg: "dark",
        style: {
          maxHeight: "220px",
          cursor: "pointer"
        }
      }, /*#__PURE__*/React.createElement(Card.Header, {
        className: "bg-transparent border-0 d-flex text-wrap"
      }, /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("div", {
        className: "hstack gap-3 minBreakpoint-xs"
      }, /*#__PURE__*/React.createElement("h6", {
        className: "fw-bold text-muted text-left"
      }, type), /*#__PURE__*/React.createElement("h6", {
        className: "text-muted ms-auto text-right"
      }, val, "/", totalDocumentCount)))), /*#__PURE__*/React.createElement(Card.Body, null, /*#__PURE__*/React.createElement(Row, {
        className: "ml-3"
      }, /*#__PURE__*/React.createElement("h1", null, val))), /*#__PURE__*/React.createElement(Card.Footer, {
        className: "d-flex"
      }, /*#__PURE__*/React.createElement("small", {
        className: "text-muted"
      }, `Total ${totalDocumentCount}`)))));
    });
  };
  if (!perDocumentCount || typeof perDocumentCount !== "object") return /*#__PURE__*/React.createElement("div", null);
  return /*#__PURE__*/React.createElement(Container, null, /*#__PURE__*/React.createElement(Row, null, /*#__PURE__*/React.createElement(DocumentStats, {
    dataProvider: perDocumentCount
  })));
};