function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React, { useState } from "react";
import { Stack, Card } from "react-bootstrap";
import { FrameViewer } from "@terminusdb/terminusdb-documents-ui";
import * as CONST from "./components/constants";
import { ViewFramesButton } from "./components/ViewFramesButton";
import { CloseButton } from "./components/CloseButton";
import { JsonFrameViewer } from "./components/JsonFrameViewer";
import { ToggleJsonAndFormControl } from "./components/ToggleJsonAndFormControl";
import { CopyButton } from "./components/CopyButton";
import { ViewDocumentFrames } from "./components/ViewDocumentFrames";
import { LanguageSelectComponent } from "./components/SelectLanguageComponent";
import { trimID } from "./utils";
export const EditDocumentComponent = ({
  type,
  updateDocument,
  documentJson,
  frames,
  closeButtonClick,
  documentID,
  SearchComponent
}) => {
  const [view, setView] = useState(CONST.FORM_VIEW);
  const [showFrames, setShowFrames] = useState(false);
  const [selectedLanguage, setSelectedLanguage] = useState(false);
  const onSelect = SearchComponent ? {
    onSelect: /*#__PURE__*/React.createElement(SearchComponent, null)
  } : {};
  const [showInfo, setShowInfo] = useState({
    frames: false,
    history: false
  });
  return /*#__PURE__*/React.createElement("div", {
    className: "w-100 d-flex"
  }, /*#__PURE__*/React.createElement(Card, {
    className: "bg-dark flex-grow-1"
  }, /*#__PURE__*/React.createElement(Card.Header, {
    className: "justify-content-between d-flex w-100 text-break"
  }, /*#__PURE__*/React.createElement(Stack, {
    direction: "horizontal",
    gap: 3,
    className: "w-100"
  }, /*#__PURE__*/React.createElement("div", {
    className: "col-md-7"
  }, /*#__PURE__*/React.createElement("strong", {
    className: "text-success"
  }, /*#__PURE__*/React.createElement("span", {
    className: "mr-1 h6 fst-italic"
  }, CONST.EDIT_DOCUMENT, ": "), /*#__PURE__*/React.createElement("span", {
    className: "fw-bolder h6"
  }, trimID(documentID))), /*#__PURE__*/React.createElement(CopyButton, {
    text: documentID,
    title: `Copy Document ID`
  })), /*#__PURE__*/React.createElement(ViewFramesButton, {
    setShowInfo: setShowInfo
  }), /*#__PURE__*/React.createElement(LanguageSelectComponent, {
    frame: frames,
    setSelectedLanguage: setSelectedLanguage
  }), /*#__PURE__*/React.createElement(ToggleJsonAndFormControl, {
    onClick: setView
  }), /*#__PURE__*/React.createElement(CloseButton, {
    type: type,
    onClick: closeButtonClick
  }))), /*#__PURE__*/React.createElement(Card.Body, {
    className: "text-break"
  }, view === CONST.JSON_VIEW && /*#__PURE__*/React.createElement(JsonFrameViewer, {
    jsonData: documentJson,
    setExtracted: updateDocument,
    mode: CONST.EDIT_DOCUMENT
  }), view === CONST.FORM_VIEW && /*#__PURE__*/React.createElement(FrameViewer, _extends({
    frame: frames,
    type: type,
    mode: CONST.EDIT_DOCUMENT,
    onSubmit: updateDocument
    //onChange={handleChange}
    ,
    language: selectedLanguage
  }, onSelect, {
    formData: documentJson,
    hideSubmit: false
  })))), /*#__PURE__*/React.createElement(ViewDocumentFrames, {
    type: type,
    documentFrame: frames[type] || {},
    showInfo: showInfo,
    setShowInfo: setShowInfo
  }));
};