import React from "react";
import { Card, Button } from "react-bootstrap";
import Stack from 'react-bootstrap/Stack';
import { HiPlusSm } from "react-icons/hi";
import { DocumentsGraphqlTable } from "./components/DocumentsGraphqlTable";
export const ListDocumentsComponent = ({
  type,
  apolloClient,
  tablesConfig,
  onRowClick,
  onDeleteButtonClick,
  onViewButtonClick,
  onEditButtonClick,
  onCreateButtonClick,
  gqlQuery
}) => {
  if (!tablesConfig) return;
  return /*#__PURE__*/React.createElement(Card, {
    className: "content border-secondary w-100 mt-5",
    variant: "light"
  }, /*#__PURE__*/React.createElement(Card.Header, null, /*#__PURE__*/React.createElement(Stack, {
    direction: "horizontal",
    gap: 3
  }, /*#__PURE__*/React.createElement("h6", null, "Documents of type - ", /*#__PURE__*/React.createElement("strong", {
    className: "text-success"
  }, type)), /*#__PURE__*/React.createElement("div", {
    className: "ms-auto"
  }, /*#__PURE__*/React.createElement(Button, {
    className: "bg-light text-dark",
    onClick: onCreateButtonClick
  }, /*#__PURE__*/React.createElement(HiPlusSm, {
    className: "mr-1 mb-1"
  }), /*#__PURE__*/React.createElement("small", null, `Add new ${type}`))))), /*#__PURE__*/React.createElement(Card.Body, {
    className: "text-break"
  }, /*#__PURE__*/React.createElement(DocumentsGraphqlTable, {
    tableConfig: tablesConfig,
    type: type,
    gqlQuery: gqlQuery,
    apolloClient: apolloClient,
    onRowClick: onRowClick,
    onDeleteButtonClick: onDeleteButtonClick,
    onViewButtonClick: onViewButtonClick,
    onEditButtonClick: onEditButtonClick
  })));
};