import React from "react";
import { JsonFrameViewer } from "./JsonFrameViewer";
import { FaTimes } from "react-icons/fa";
import { Button, Card } from "react-bootstrap";
import { CopyButton } from "./CopyButton";
import { CloseInfoButton } from "./infoCloseButton";
export const ViewDocumentFrames = ({
  type,
  documentFrame,
  setShowInfo,
  showInfo
}) => {
  if (!showInfo.frames) return /*#__PURE__*/React.createElement("div", null);
  return /*#__PURE__*/React.createElement(Card, {
    className: "tdb__frame__display",
    style: {
      width: "50%"
    }
  }, /*#__PURE__*/React.createElement(Card.Header, null, `Frames of `, /*#__PURE__*/React.createElement("span", {
    className: "fw-bold"
  }, type), /*#__PURE__*/React.createElement(CloseInfoButton, {
    setShowInfo: setShowInfo
  }), /*#__PURE__*/React.createElement(CopyButton, {
    text: JSON.stringify(documentFrame, null, 2),
    label: "Copy Frames",
    css: `float-right bg-light mr-2 btn-sm text-dark`,
    title: `Copy ${type} frames`
  })), /*#__PURE__*/React.createElement(Card.Body, null, /*#__PURE__*/React.createElement(JsonFrameViewer, {
    jsonData: documentFrame,
    mode: "View"
  })));
};